Créer un abonnement
curl --request POST \
--url https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"subscribed": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Activité du compte
Créer un abonnement
Crée un abonnement Account Activity pour l’utilisateur et le webhook spécifiés.
POST
/
2
/
account_activity
/
webhooks
/
{webhook_id}
/
subscriptions
/
all
Créer un abonnement
Autorisations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’id du webhook utilisé pour valider l’abonnement. L’identifiant unique de cette configuration de webhook.
Pattern:
^[0-9]{1,19}$Exemple:
"1146654567674912769"
Corps
application/json
The body is of type object.
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I